VMTKDELAUNAYVORONOI(1)

NAME
vmtkdelaunayvoronoi - vmtk script vmtkdelaunayvoronoi

DESCRIPTION
Automatic piping vmtkdelaunayvoronoi Parsing options vmtkdelaunayvoronoi

vmtkdelaunayvoronoi : calculate the delaunay tesellation, voronoi

    diagram, and voronoi poleIds of an input surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-nonmanifoldcheck CheckNonManifold (bool,1); default=0: toggle

    checking the surface for non-manifold edges

-flipnormals FlipNormals (bool,1); default=0: flip normals after

    outward normal computation; outward oriented normals must be computed for the removal of outer tetrahedra; the algorithm might fail so for weird geometries, so changing this might solve the problem

-capdisplacement CapDisplacement (float,1); default=0.0:

    displacement of the center points of caps at open profiles along their normals (avoids the creation of degenerate tetrahedra)

-delaunaytolerance DelaunayTolerance (float,1); default=0.001:

    tolerance for evaluating coincident points during Delaunay tessellation, evaluated as a fraction of the bounding box

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where radius values of maximal inscribed spheres have to be stored

-delaunaytessellation DelaunayTessellation (vtkUnstructuredGrid,1):

    optional input Delaunay tessellation

-removesubresolution RemoveSubresolutionTetrahedra (bool,1);

    default=0: toggle removal of subresolution tetrahedra from Delaunay tessellation

-subresolutionfactor SubresolutionFactor (float,1) >= 0.0;

    default=1.0: factor for removal of subresolution tetrahedra, expressing the size of the circumsphere relative to the local edge length size of surface triangles

-simplifyvoronoi SimplifyVoronoi (bool,1); default=0: toggle

    simplification of Voronoi diagram

-usetetgen UseTetGen (bool,1); default=0: toggle use TetGen to

    compute Delaunay tessellation

-tetgendetectinter TetGenDetectInter (bool,1); default=1: TetGen

    option

-delaunaytessellationfile DelaunayTessellationOutputFileName

    (str,1): filename for the default DelaunayTessellation writer

-voronoidiagramfile VoronoiDiagramOutputFileName (str,1): filename

    for the default VoronoiDiagram writer

-omeshfile MeshOutputFileName (str,1): filename for the default

    Mesh writer

-osurfacefile SurfaceOutputFileName (str,1): filename for the

    default Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where radius values of maximal inscribed spheres are stored

-delaunaytessellation DelaunayTessellation (vtkUnstructuredGrid,1)

-voronoidiagram VoronoiDiagram (vtkPolyData,1)

-omesh Mesh (vtkUnstructuredGrid,1): conveniently named

    DelaunayTessellation output

-osurface Surface (vtkPolyData,1): conveniently named

    VoronoiDiagram output

-poleids PoleIds (vtkIdList,1)